import { Cache } from './Cache';
export declare class DiskCache implements Cache {
    get<T>(key: string): Promise<T | null>;
    set(key: string, data: any, param3?: any, param4?: any): Promise<void>;
    delete(key: string): Promise<void>;
    invalidateTags(tags: string[]): Promise<void>;
    flushAll(): Promise<void>;
}
