import { Cache } from './Cache';
export declare class NoCache implements Cache {
    constructor(throwOnUse?: boolean);
    throwOnUse: boolean;
    get<T>(): Promise<T | null>;
    set(): Promise<void>;
    delete(): Promise<void>;
    invalidateTags(): Promise<void>;
    flushAll(): Promise<void>;
}
