export declare class LocalCache {
    constructor();
    cache: CacheMap;
    get<T>(key: string): T | undefined;
    set<T>(key: string, value: T, options?: {
        ttlInSecs?: number;
    }): void;
    clear(): void;
}
interface CacheMap {
    [key: string]: {
        expiresEpoch: number | null;
        value: any;
    } | undefined;
}
export {};
