import { LocalCache } from '../LocalCache';
import { SecretsManager } from './SecretsManager';
export declare class AWSSecretsManager implements SecretsManager {
    private localCache;
    private defaultRegion;
    constructor(localCache: LocalCache, defaultRegion: string);
    private getSecret;
    get<T>(secretName: string, region?: string): Promise<T>;
    refresh(secretName: string, region?: string): Promise<void>;
    getCacheKey(secretName: string, region?: string): string;
    getStatusCacheKey(secretName: string, region?: string): string;
}
